
From: David Teigland <teigland@redhat.com>

The list of root rsb's created during recovery needs to be released if
recovery is aborted early.

Signed-off-by: David Teigland <teigland@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/dlm/recoverd.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/dlm/recoverd.c~dlm-release-list-of-root-rsbs drivers/dlm/recoverd.c
--- devel/drivers/dlm/recoverd.c~dlm-release-list-of-root-rsbs	2005-07-16 13:36:04.000000000 -0700
+++ devel-akpm/drivers/dlm/recoverd.c	2005-07-16 13:36:04.000000000 -0700
@@ -205,6 +205,7 @@ static int ls_recover(struct dlm_ls *ls,
 	return 0;
 
  fail:
+	dlm_release_root_list(ls);
 	log_debug(ls, "recover %"PRIx64" error %d", rv->seq, error);
 	up(&ls->ls_recoverd_active);
 	return error;
_
